# Create video overlays from GoPro Videos or any GPX/FIT file

<a href="https://github.com/time4tea/gopro-dashboard-overlay/discussions"><img alt="GitHub Discussions" src="https://img.shields.io/github/discussions/time4tea/gopro-dashboard-overlay?style=for-the-badge"></a>
<a href="https://pypi.org/project/gopro-overlay/"><img alt="PyPI" src="https://img.shields.io/pypi/v/gopro-overlay?style=for-the-badge"></a>
<a href="https://hub.docker.com/r/overlaydash/gopro-dashboard-overlay"><img alt="Docker" src="https://img.shields.io/docker/v/overlaydash/gopro-dashboard-overlay?label=Docker&style=for-the-badge"></a>

Discuss on [GitHub Discussions](https://github.com/time4tea/gopro-dashboard-overlay/discussions)

- Overlaying exciting graphics onto GoPro videos with super-exact synchronization
- Create videos from any GPX or FIT file - no GoPro required
- Support multiple resolutions, most GoPro models, normal, timelapse & timewarp modes
- Support GPUs to create movies at up to 17x realtime
- Convert GoPro movie metadata to GPX or CSV files
- Cut sections from GoPro movies (including metadata)
- Linux, Mac, Windows!

## Examples

![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2022-05-15-example.png)
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2022-06-11-contrib-example.png)
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2022-07-19-contrib-example-plane.jpg)
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2023-07-23-contrib-example-ski-pov.png)
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2023-07-23-contrib-example-ski-drone.png)

An Example of 'overlay only' mode, which generates movies from GPX files
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/2022-11-24-gpx-only-overlay.png)

Example from [examples/layout](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/layout)
![Example Dashboard Image](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/examples/layout/layout-cairo-2704x1520.png)

## Map Styles

Almost 30 different map styles are supported! - See [map styles](https://github.com/time4tea/gopro-dashboard-overlay/raw/main/docs/maps/README.md) for more

## Requirements

- Python3.10 (development is done on Python3.11)
- ffmpeg (you'll need the ffmpeg program installed)
- libraqm (needed by [Pillow](https://pypi.org/project/Pillow/))

## More Information

See:- https://github.com/time4tea/gopro-dashboard-overlay